classification
Title: cgi.py does not correctly handle fields with ';'
Type: Stage: resolved
Components: Library (Lib) Versions: Python 2.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: fdrake Nosy List: fdrake, kv11111
Priority: normal Keywords: patch

Created on 2004-10-27 12:18 by kv11111, last changed 2008-12-04 20:21 by fdrake. This issue is now closed.

Files
File name Uploaded Description Edit
cgi.patch kv11111, 2004-10-27 12:18 Patch to cgi.py
Messages (3)
msg47175 - (view) Author: Vova (kv11111) Date: 2004-10-27 12:18
When I'm trying to upload file named 'a;b' cgi.py says
that it is named '"a'.
Simple patch to fix it attached.
P.S. The same bug are present in mimetools.py and may
be in other same places.
msg47176 - (view) Author: Fred Drake (fdrake) (Python committer) Date: 2004-10-28 06:05
Logged In: YES 
user_id=3066

The Content-Disposition header is defined in RFC 2183:

http://www.faqs.org/rfcs/rfc2183.html
msg76921 - (view) Author: Fred Drake (fdrake) (Python committer) Date: 2008-12-04 20:21
This is now fixed for Python 2.6.?, 2.7, 3.0.1, and 3.1.

I've no idea why I didn't write a test for this sooner.
History
Date User Action Args
2008-12-04 20:21:38fdrakesetstatus: open -> closed
resolution: fixed
messages: + msg76921
stage: resolved
2004-10-27 12:18:26kv11111create